# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _mavenpomdir /usr/share/maven2/poms

%global with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%global without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%global bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%global bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with bootstrap

%if %with bootstrap
%global build_javadoc        0
%else
%global build_javadoc        1
%endif

%global with_manifest_only 0

%global ant_home %{_datadir}/ant

%global major_version 1.8
%global cvs_version 1.8.2

Name:           ant
Version:        1.8.2
Release:        %mkrel 4
Epoch:          0
Summary:        Build tool for java
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        ASL 2.0
URL:            http://ant.apache.org/
Group:          Development/Java
Source0:        http://www.apache.org/dist/ant/source/apache-ant-%{cvs_version}-src.tar.bz2
Source2:        apache-ant-%{major_version}.ant.conf

# Fix some places where copies of classes are included in the wrong jarfiles
Patch1:         apache-ant-bz163689.patch
Patch3:         apache-ant-no-test-jar.patch
Patch4:         apache-ant-class-path-in-manifest.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jaxp_transform_impl
BuildRequires:  java-rpmbuild
%if %without bootstrap
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
%endif

Requires:       jpackage-utils >= 0:1.7.5
Requires:       java-devel >= 0:1.5.0
%if %without bootstrap
Requires:       xerces-j2
Requires:       xml-commons-jaxp-1.3-apis
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:      ant-optional < %{epoch}:%{version}-%{release}
Provides:       ant-optional = %{epoch}:%{version}-%{release}
Obsoletes:      ant-optional-full < %{epoch}:%{version}-%{release}
Provides:       ant-optional-full = %{epoch}:%{version}-%{release}
# Allow subpackages not in RHEL to be installed from JPackage
Provides:       %{name} = %{epoch}:%{version}-%{release}
# RHUG
Obsoletes:      ant-devel < %{epoch}:%{version}-%{release}
Provides:       ant-devel = %{epoch}:%{version}-%{release}
# Mandriva
Conflicts:      j2sdk-ant
# RHEL3 and FC2
Obsoletes:      %{name}-libs < %{epoch}:%{version}-%{release}
Provides:       %{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-core < %{epoch}:%{version}-%{release}
Provides:       %{name}-core = %{epoch}:%{version}-%{release}
Obsoletes:       %{name}-nodeps < %{epoch}:%{version}-%{release}
Provides:       %{name}-nodeps = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-trax < %{epoch}:%{version}-%{release}
Provides:       %{name}-trax = %{epoch}:%{version}-%{release}

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package jmf
Summary:        Optional jmf tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-nodeps = %{epoch}:%{version}-%{release}
Provides:       ant-jmf = %{epoch}:%{version}-%{release}

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr
Taches jmf optionelles pour %{name}.

%package swing
Summary:        Optional swing tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-swing = %{epoch}:%{version}-%{release}

%description swing
Optional swing tasks for %{name}.

%description swing -l fr
Taches swing optionelles pour %{name}.

%if %without bootstrap
%if %{with_manifest_only}
%package manifest-only
Summary:        Manifest-only jars for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       %{name}-icontract = %{epoch}:%{version}-%{release}
Provides:       %{name}-netrexx = %{epoch}:%{version}-%{release}
Provides:       %{name}-starteam = %{epoch}:%{version}-%{release}
Provides:       %{name}-stylebook = %{epoch}:%{version}-%{release}
Provides:       %{name}-vaj = %{epoch}:%{version}-%{release}
Provides:       %{name}-weblogic = %{epoch}:%{version}-%{release}
Provides:       %{name}-xalan1 = %{epoch}:%{version}-%{release}
Provides:       %{name}-xslp = %{epoch}:%{version}-%{release}

%description  manifest-only
Manifest-only jars for %{name}.
%endif

%package antlr
Summary:        Optional antlr tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
BuildRequires:  antlr
Provides:       ant-antlr = %{epoch}:%{version}-%{release}

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr
Taches antlr optionelles pour %{name}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bsf
BuildRequires:  bsf
Provides:       ant-apache-bsf = %{epoch}:%{version}-%{release}

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       xml-commons-resolver
BuildRequires:  xml-commons-resolver
Provides:       ant-apache-resolver = %{epoch}:%{version}-%{release}

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-logging
BuildRequires:  jakarta-commons-logging
Provides:       ant-commons-logging = %{epoch}:%{version}-%{release}

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name}.

%package commons-net
Summary:        Optional commons net tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-net
BuildRequires:  jakarta-commons-net
Provides:       ant-commons-net = %{epoch}:%{version}-%{release}

%description commons-net
Optional commons net tasks for %{name}.

%description commons-net -l fr
Taches commons net optionelles pour %{name}.

# Disable because we don't ship the dependencies
%if 0
%package jai
Summary:        Optional jai tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jai
BuildRequires:  jai
Provides:       ant-jai = %{epoch}:%{version}-%{release}

%description jai
Optional jai tasks for %{name}.

%description jai -l fr
Taches jai optionelles pour %{name}.
%endif

%package apache-bcel
Summary:        Optional apache bcel tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bcel
BuildRequires:  bcel
Provides:       ant-apache-bcel = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-bcel = %{epoch}:%{version}-%{release}
Obsoletes:      ant-jakarta-bcel < %{epoch}:%{version}-%{release}

%description apache-bcel
Optional apache bcel tasks for %{name}.

%description apache-bcel -l fr
Taches apache bcel optionelles pour %{name}.

%package apache-log4j
Summary:        Optional apache log4j tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       log4j
BuildRequires:  log4j
Provides:       ant-apache-log4j = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-log4j = %{epoch}:%{version}-%{release}
Obsoletes:      ant-jakarta-log4j < %{epoch}:%{version}-%{release}

%description apache-log4j
Optional apache log4j tasks for %{name}.

%description apache-log4j -l fr
Taches apache log4j optionelles pour %{name}.

%package apache-oro
Summary:        Optional apache oro tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       oro
BuildRequires:  oro
Provides:       ant-apache-oro = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-oro = %{epoch}:%{version}-%{release}
Obsoletes:      ant-jakarta-oro < %{epoch}:%{version}-%{release}

%description apache-oro
Optional apache oro tasks for %{name}.

%description apache-oro -l fr
Taches apache oro optionelles pour %{name}.

%package apache-regexp
Summary:        Optional apache regexp tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Provides:       ant-apache-regexp = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-regexp = %{epoch}:%{version}-%{release}
Obsoletes:      ant-jakarta-regexp < %{epoch}:%{version}-%{release}

%description apache-regexp
Optional apache regexp tasks for %{name}.

%description apache-regexp -l fr
Taches apache regexp optionelles pour %{name}.

%package apache-xalan2
Summary:        Optional apache xalan2 tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Provides:       ant-apache-xalan2 = %{epoch}:%{version}-%{release}

%description apache-xalan2
Optional apache xalan2 tasks for %{name}.

%description apache-xalan2 -l fr
Taches apache xalan2 optionelles pour %{name}.

%package javamail
Summary:        Optional javamail tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       javamail >= 0:1.2-5jpp
BuildRequires:  javamail >= 0:1.2-5jpp
Provides:       ant-javamail = %{epoch}:%{version}-%{release}

%description javamail
Optional javamail tasks for %{name}.

%description javamail -l fr
Taches javamail optionelles pour %{name}.

%package jdepend
Summary:        Optional jdepend tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jdepend
BuildRequires:  jdepend
Provides:       ant-jdepend = %{epoch}:%{version}-%{release}

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name}.

%package jsch
Summary:        Optional jsch tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jsch
BuildRequires:  jsch
Provides:       ant-jsch = %{epoch}:%{version}-%{release}

%description jsch
Optional jsch tasks for %{name}.

%description jsch -l fr
Taches jsch optionelles pour %{name}.

%package junit
Summary:        Optional junit tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit
Requires:       xalan-j2
Provides:       ant-junit = %{epoch}:%{version}-%{release}

%description junit
Optional junit tasks for %{name}.

%description junit -l fr
Taches junit optionelles pour %{name}.

%package testutil
Summary:        Test utility classes for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit
Provides:       ant-testutil = %{epoch}:%{version}-%{release}

%description testutil
Test utility tasks for %{name}.

%package scripts
Summary:        Additional scripts for %{name}
Group:          Development/Java
AutoReqProv:    no
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       perl-base
Requires:       python

%description scripts
Additional Perl and Python scripts for %{name}.

%description scripts -l fr
Scripts additionels pour %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.
%endif

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{cvs_version}
#Fixup version
find -name build.xml -o -name pom.xml | xargs sed -i -e s/-SNAPSHOT//
#https://issues.apache.org/bugzilla/show_bug.cgi?id=47669
sed -i -e "s|IMAGE_FILE_TYPE|BINARY_FILE_TYPE|g" src/main/org/apache/tools/ant/taskdefs/optional/net/FTP.java
# Disable the style and xmlvalidate tasks on ppc64 and s390x (#163689).
%ifarch ppc64 s390x
%patch1 -p1
%endif

# When bootstrapping, we don't have junit
%patch3 -p1

# Fix class-path-in-manifest rpmlint warning
%patch4 

# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm

#install jars
%if %without bootstrap
build-jar-repository -s -p lib/optional xerces-j2 xml-commons-jaxp-1.3-apis antlr bcel javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver
%endif

# Fix file-not-utf8 rpmlint warning
iconv KEYS -f iso-8859-1 -t utf-8 -o KEYS.utf8
mv KEYS.utf8 KEYS
iconv LICENSE -f iso-8859-1 -t utf-8 -o LICENSE.utf8
mv LICENSE.utf8 LICENSE

# Provides: exclude perl(oata), perl(examples)
cat <<__EOF__ > %{name}-perl.prov
#!/bin/sh
/usr/lib/rpm/perl.prov \$* | grep -v '^perl(oata)$' | grep -v '^perl(examples)$'
__EOF__
%define __perl_provides %{_builddir}/apache-ant-%{cvs_version}/%{name}-perl.prov
chmod +x %{__perl_provides}


# Requires: exclude bogus perl(the)
cat <<__EOF__ > %{name}-perl.req
#!/bin/sh
/usr/lib/rpm/perl.req \$* | grep -v '^perl(the)$'
__EOF__
%define __perl_requires %{_builddir}/apache-ant-%{cvs_version}/%{name}-perl.req
chmod +x %{__perl_requires}

# -----------------------------------------------------------------------------

%build
export OPT_JAR_LIST=:
%if %without bootstrap
%{ant} jars test-jar
%if %{build_javadoc}
export CLASSPATH=$(build-classpath xerces-j2 xml-commons-jaxp-1.3-apis antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver)
%{ant} javadocs
%endif
%else
export JAVA_HOME=%{java_home}
export CLASSPATH=$JAVA_HOME/lib/tools.jar
sh ./build.sh --noconfig jars
%endif

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

for jar in build/lib/*.jar
do
  jarname=$(basename $jar .jar)
  pomname="JPP.%{name}-${jarname}.pom"

  #Determine where to put it
  case $jarname in
#These go into %%{_javadir}, pom files have different names
  ant | ant-bootstrap | ant-launcher) destdir=$RPM_BUILD_ROOT%{_javadir}; destname="";pomname="JPP-$jarname.pom";;
#Bootstracp builds an incomplete ant-junit, don't ship it
%if %with bootstrap
  ant-junit) continue;;
%endif
#These go into %%{_javadir}/ant
  *) destdir=$RPM_BUILD_ROOT%{_javadir}/%{name}; destname="/%{name}";
  esac

  #instal jar
  install -m 644 ${jar} ${destdir}/${jarname}.jar
  # jar aliases
  ln -sf ../../java${destname}/${jarname}.jar $RPM_BUILD_ROOT%{ant_home}/lib/${jarname}.jar

  #bootstrap does not have a pom
  [ $jarname == ant-bootstrap ] && continue

  #install pom
  install -m 644 src/etc/poms/${jarname}/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/${pomname}
  %add_to_maven_depmap org.apache.ant ${jarname} %{version} JPP${destname} ${jarname}
done

#ant-parent pom
install -m 644 src/etc/poms/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-parent.pom
%add_to_maven_depmap org.apache.ant ant-parent %{version} JPP ant-parent

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%if %without bootstrap
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}
%else
cp -p src/script/ant{,Run} $RPM_BUILD_ROOT%{_bindir}
%endif

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
%if %without bootstrap
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
echo "jakarta-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
echo "jakarta-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
#echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%%{_sysconfdir}/%%{name}.d/jai
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
echo "xalan-j2 ant/ant-apache-xalan2" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-xalan2
echo "javamail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/javamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
echo "testutil ant/ant-testutil" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/testutil
%endif

%if %{build_javadoc}
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# fix link between manual and javadoc
(cd docs/manual; ln -sf %{_javadocdir}/%{name} api)

%if %with bootstrap
find $RPM_BUILD_ROOT%{_datadir}/ant/etc -type f -name "*.xsl" \
                                                 -a ! -name ant-update.xsl \
                                                 -a ! -name changelog.xsl \
                                                 -a ! -name coverage-frames.xsl \
                                                 -a ! -name junit-frames-xalan1.xsl \
                                                 -a ! -name log.xsl \
                                                 -a ! -name mmetrics-frames.xsl \
                                                 -a ! -name tagdiff.xsl \
                                                 | xargs -t rm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc KEYS LICENSE NOTICE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-bootstrap.jar
%dir %{_javadir}/%{name}
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%if %without bootstrap
%{ant_home}/etc/common2master.xsl
%{ant_home}/etc/printFailingTests.xsl
%endif
%dir %{ant_home}/lib
%{ant_home}/lib/%{name}.jar
%{ant_home}/lib/%{name}-launcher.jar
%{ant_home}/lib/%{name}-bootstrap.jar
%dir %{_sysconfdir}/%{name}.d
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files jmf
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-jmf.jar
%{ant_home}/lib/%{name}-jmf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jmf

%files swing
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-swing.jar
%{ant_home}/lib/%{name}-swing.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/swing

%if %without bootstrap
%if %{with_manifest_only}
%files manifest-only
%defattr(-,root,root,-)
%{_javadir}/%{name}/ant-icontract.jar
%{_javadir}/%{name}/ant-netrexx.jar
%{_javadir}/%{name}/ant-starteam.jar
%{_javadir}/%{name}/ant-stylebook.jar
%{_javadir}/%{name}/ant-vaj.jar
%{_javadir}/%{name}/ant-weblogic.jar
%{_javadir}/%{name}/ant-xalan1.jar
%{_javadir}/%{name}/ant-xslp.jar
%endif

%files antlr
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-antlr.jar
%{ant_home}/lib/%{name}-antlr.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/antlr

%files apache-bsf
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-bsf.jar
%{ant_home}/lib/%{name}-apache-bsf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bsf

%files apache-resolver
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-resolver.jar
%{ant_home}/lib/%{name}-apache-resolver.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-resolver

%files commons-logging
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-commons-logging.jar
%{ant_home}/lib/%{name}-commons-logging.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-logging

%files commons-net
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-commons-net.jar
%{ant_home}/lib/%{name}-commons-net.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-net

# Disable as we dont ship the dependencies
%if 0
%files jai
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-jai.jar
%{ant_home}/lib/%{name}-jai.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jai
%endif

%files apache-bcel
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-bcel.jar
%{ant_home}/lib/%{name}-apache-bcel.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bcel

%files apache-log4j
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-log4j.jar
%{ant_home}/lib/%{name}-apache-log4j.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-log4j

%files apache-oro
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-oro.jar
%{ant_home}/lib/%{name}-apache-oro.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl

%files apache-regexp
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-regexp.jar
%{ant_home}/lib/%{name}-apache-regexp.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-regexp

%files apache-xalan2
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-apache-xalan2.jar
%{ant_home}/lib/%{name}-apache-xalan2.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-xalan2

%files javamail
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-javamail.jar
%{ant_home}/lib/%{name}-javamail.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/javamail

%files jdepend
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-jdepend.jar
%{ant_home}/lib/%{name}-jdepend.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%files jsch
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-jsch.jar
%{ant_home}/lib/%{name}-jsch.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jsch

%files junit
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-junit.jar
%{ant_home}/lib/%{name}-junit.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junit
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl

%files testutil
%defattr(-,root,root,-)
%{_javadir}/%{name}/%{name}-testutil.jar
%{ant_home}/lib/%{name}-testutil.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/testutil

%files scripts
%defattr(-,root,root,-)
%{_bindir}/*.pl
%{_bindir}/*.py*

%files manual
%defattr(-,root,root,-)
%doc docs/*

%if %{build_javadoc}
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%endif
%endif



%changelog
* Mon Feb 07 2011 pterjan <pterjan> 0:1.8.2-4.mga1
+ Revision: 48580
- Remove file deps

* Tue Jan 25 2011 dmorgan <dmorgan> 0:1.8.2-3.mga1
+ Revision: 39569
- Build without bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-2.mga1
+ Revision: 22302
- Bump release
- Disable bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-1.mga1
+ Revision: 22179
- Add missing define
- Add buildrequires
- Enable bootstrap
- New version 1.8.2
  Sync with fedora spec file

  + pterjan <pterjan>
    - Disable bootstrap

* Sat Jan 15 2011 dmorgan <dmorgan> 0:1.7.1-7.0.6.mga1
+ Revision: 18706
- Enable bootstrap
- Remove empty condition
- Do not build log4j subpackage in bootstrap
- imported package ant


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.6mdv2011.0
+ Revision: 603178
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.5mdv2010.1
+ Revision: 521939
- rebuilt for 2010.1

* Tue Aug 18 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:1.7.1-7.0.4mdv2010.0
+ Revision: 417736
- Simplifying dependencies. Requiring java 1.6 and removing special dependencies on various XML tools as they are part of java 1.6 already

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.3mdv2010.0
+ Revision: 413027
- rebuild

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.7.1-7.0.2mdv2009.1
+ Revision: 328397
- Rebuild with new python

* Sun Aug 03 2008 David Walluck <walluck@mandriva.org> 0:1.7.1-7.0.1mdv2009.0
+ Revision: 261724
- BuildRequires: java-rpmbuild
- 1.7.1

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.12mdv2008.1
+ Revision: 147620
- full build

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.11mdv2008.1
+ Revision: 147571
- bump release
- require xerces-j2 when not bootsrapped

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.10mdv2008.1
+ Revision: 147569
- bump release
- xerces-j2 is needed when not bootstrapping

  + David Walluck <walluck@mandriva.org>
    - explicitly require geronimo for jaf and javamail

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.8mdv2008.1
+ Revision: 120826
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.7mdv2008.1
+ Revision: 119006
- add apache-ant-jars.patch

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.6mdv2008.0
+ Revision: 87188
- rebuild to filter out autorequires on GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.5mdv2008.0
+ Revision: 85587
- remove Conflicts and instead just Provide/Obsolete them

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.4mdv2008.0
+ Revision: 85487
- remove jpprelease
- Provides all Obsoletes
- version Provides and Obsoletes

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0:1.7.0-3.3.3mdv2008.0
+ Revision: 70143
- kill file require on perl-base

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.2mdv2008.0
+ Revision: 53179
- use xml-commons-jaxp-1.3-apis and xml-commons-resolver12 explicitely
  instead of the generic xml-commons-apis and xml-commons-resolver which
  are provided by multiple packages (see bug #31473)

* Sun Jul 08 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.1mdv2008.0
+ Revision: 49926
- fix java-devel (Build)Requires with gcj_support enabled
- force xerces-j2 requirement
- set OPT_JAR_LIST=: during build

* Fri Jul 06 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3mdv2008.0
+ Revision: 48856
- fix native2ascii task under GNU java

* Tue Jul 03 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.2mdv2008.0
+ Revision: 47572
- rebuild with new libgcj


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 1.7.0-3.1mdv2007.1
+ Revision: 138123
- remove unused patch

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-3mdv2007.1
+ Revision: 102757
- require xml-commons-resolver12 instead of xml-commons-resolver
- disable bootstrap

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-1mdv2007.1
+ Revision: 102726
- fix bootstrap build
- enable bootstrap
- 1.7.0
- Import ant

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-21mdv2007.0
- BuildRequires: ant if not bootstrap

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-20mdv2007.0
- use bcond for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-19mdv2007.0
- set CLASSPATH= for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-18mdv2007.0
- use Conflicts instead of Obsoletes

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-17mdv2007.0
- use %%{clean_gcj} also
- add missing %%{clean_gcj} entries
- add option to turn off javadoc generation
- add xalan-j2-serializer to %%{_sysconfdir}/ant.d/ant-trax

* Sat Mar 04 2006 Giuseppe Ghib <ghibo@mandriva.com>  0:1.6.5-16mdk
- Use %%update_gcjdb

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-15mdk
- BuildRequires: java-devel

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-14mdk
- (Build)Requires: xml-commons-apis

* Wed Dec 07 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-13mdk
- call aot-compile-rpm without path

* Tue Nov 29 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-12mdk
- fix aot-compile-rpm location

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-11mdk
- BuildRequires: ant if not bootstrap
- fix ant-jai file
- fix commons-net post scripts

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-10mdk
- apply Red Hat patch for javah task

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-9mdk
- enable rpm_mode in ant script instead of ant.conf

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-8mdk
- set rpm_mode=true by default in ant.conf

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-7mdk
- create a javah task from the kaffeh task

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-6mdk
- fix bootstrap

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-5mdk
- add gcj native libs

* Thu Sep 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-4mdk
- obsoletes/provides ant-bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-3mdk
- add %%mkrel
- fix bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-2mdk
- add Conflicts: j2sdk-ant

* Mon Aug 15 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-1mdk
- 1.6.5

* Tue May 24 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.3mdk
- add support for jai
- add manifest-only jars

* Fri May 13 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.2mdk
- rebuild as non-bootstrap
- add support for bsf and commons-net

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.1mdk
- release

* Sat Apr 09 2005 Andrew Overholt <overholt@redhat.com> 1.6.2-3jpp_4fc
- Back out ant-apache-javac-ecj.patch and ant.orig changes as they stop eclipse
  from building.

* Wed Mar 30 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_3fc
- Add NOTICE file as per Apache License version 2.0.
- Remove some now unnecessary gcj workarounds.
- Add the jsch subpackage since we now ship jsch.

* Thu Jan 20 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_2fc
- Use jdtcore.jar instead of ecj.jar when running under libgcj.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_1fc
- Upgrade to latest version.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_7fc
- Explicitly require java-devel to make beehive play nice.

* Mon Nov 08 2004 Gary Benson <gbenson at redhat.com> - 0:1.6.2-3jpp
- Build OPT_JAR_LIST from files in /etc/ant.d.

* Thu Nov 04 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_6fc
- Build into Fedora.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_5fc
- Explicitly require xerces-j2 to make beehive play nice.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_4fc
- Bootstrap into Fedora.

* Tue Sep 07 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-2jpp
- Fix to backward compatibility symbolic links.

* Wed Aug 18 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-1jpp
- Update to Ant 1.6.2

* Fri Aug 06 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-2jpp
- Remove incorrect noreplace option for ant.conf; it can't be used anymore
  because the sub-packages update that file.
- Add patch to fix temp directory used for file containing large
  command strings (> 4k)

* Wed Jun 02 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Extend subpackage builds to update ant.conf

* Tue Mar 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Update to Ant 1.6.1
- Change ant launch script to source instead of patch
- Move optional components to ant subdirectory: %%{_javadir}/%%{name}
- Remove os/2 scripts and set JAVA_HOME for build

